curl -X POST "https://api.scanova.io/bulk-operation/download/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"name": "Batch download",
"qr_id_list": ["a1b2c3d4", "e5f6g7h8"],
"result_file_format": "zip"
}'
{
"operation_id": "bo-dl-001",
"message": ["Your file is being processed. We'll email you once it's ready."]
}
Massenvorgänge
QR-Codes in großer Menge herunterladen
POST /bulk-operation/download/
POST
/
bulk-operation
/
download
/
curl -X POST "https://api.scanova.io/bulk-operation/download/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"name": "Batch download",
"qr_id_list": ["a1b2c3d4", "e5f6g7h8"],
"result_file_format": "zip"
}'
{
"operation_id": "bo-dl-001",
"message": ["Your file is being processed. We'll email you once it's ready."]
}
Verpackt asynchron viele QR-Codes zum Download, auf dem Management-API-Host (
Asynchron — Massenvorgänge auflisten auf
api.scanova.io), authentifiziert mit Ihrem rohen Management-API-Schlüssel.
POST https://api.scanova.io/bulk-operation/download/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
erforderlich
Eine Bezeichnung für diesen Vorgang, angezeigt in Massenvorgänge auflisten.
array
Bestimmte QR-IDs, die heruntergeladen werden sollen. Alternativ
filter, search oder bulk_op_id verwenden.object
Ein gespeicherter Filter, der auswählt, welche QR-Codes heruntergeladen werden, als Alternative zu
qr_id_list.string
Ein Suchbegriff, der auswählt, welche QR-Codes heruntergeladen werden, als Alternative zu
qr_id_list. "all" wählt jeden eigenen QR-Code aus.string
Die
operation_id eines bestehenden Massenvorgangs — die von diesem Vorgang erstellten QR-Codes erneut herunterladen, als Alternative zur Auswahl nach ID/Filter/Suche.string
Das Downloadformat, z. B.
zip, csv, xlsx.string
Die Bildgröße für heruntergeladene QR-Bilder, sofern zutreffend.
curl -X POST "https://api.scanova.io/bulk-operation/download/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"name": "Batch download",
"qr_id_list": ["a1b2c3d4", "e5f6g7h8"],
"result_file_format": "zip"
}'
{
"operation_id": "bo-dl-001",
"message": ["Your file is being processed. We'll email you once it's ready."]
}
status/progress abfragen, dann result_file abrufen. 400, wenn keine QR-Codes der angegebenen Auswahl entsprechen.
Verwandte Themen
- Eigene URL-QR-Codes als CSV exportieren — eine schnelle Quelle für IDs für
qr_id_list. - Massen-Schnellaktion ausführen — verwendet dieselben Zielparameter für organisieren/Design anwenden/löschen.
- Massenvorgänge auflisten — auf den Abschluss warten.
- Übersicht über die Management API — das Authentifizierungsschema und die Quota-Regeln für diesen Endpunkt.
Autorisierungen
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
Antwort
Download packaging started.
War diese Seite hilfreich?